<!--begin::Portlet-->
<div id="attributes-portlet" class="m-portlet" xmlns="http://www.w3.org/1999/html">
    <div class="m-portlet__head">
        <div class="m-portlet__head-caption">
            <div class="m-portlet__head-title">
                <span class="m-portlet__head-icon m--hide">
                    <i class="la la-gear"></i>
                </span>
                <h3 class="m-portlet__head-text">
                    Add\Remove Related Products
                </h3>
            </div>
        </div>
    </div>

    <form class="m-form m-form--fit m-form--label-align-right m-form--group-seperator-dashed" @submit.prevent="">

        <div class="m-portlet__body">

            <div class="form-group m-form__group row">
                <div class="col-lg-12">
                    <label>Products:</label>

                    <autocomplete-input :entity="'products'"
                                        @itemSelected="pushToRelatedProducts">
                    </autocomplete-input>

                    <span class="m-form__help">Please enter product name</span>
                </div>
            </div>
        </div>
    </form>

    <div class="m-portlet__body">
        <div v-if="related_products.length < 1" class="col-lg-12">
            <p>Select product for preview</p>
        </div>

        <div v-if="related_products.length > 0" class="m-section">
            <div class="m-section__content">

                <div class="m-demo" data-code-preview="true" data-code-html="true" data-code-js="false">

                    <div class="m-demo__preview row scrollable">

                        <div  v-for="(product, index) in related_products" class="col-lg-6">

                            <ValidationProvider v-slot="{ errors, validate }" name="related product" :ref="'related_products.' + index">
                                <div v-if="errors.length > 0" class="invalid-feedback" style="display: inline !important;">
                                    {{ errors[0] }}
                                </div>
                            </ValidationProvider>

                            <!--TODO add no image if no image-->
                            <template v-if="product.main_image !== null">

                                <img :src="imageCacheRoute(product.main_image.src)" width="150px" height="150px">

                            </template>


                            <div class="form-group m-form__group">
                                <label>{{ product.name }}</label>

                                <button class="btn btn-danger" @click="removeRelatedProduct(index)">
                                    <span class="fa fa-trash"></span>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>

                <!--end::Preview-->
            </div>
        </div>
    </div>

</div>